RWHO(1) | General Commands Manual | RWHO(1)

# NAME

rwho — who is logged in on local machines

# SYNOPSIS

rwho | [-aHq]

# DESCRIPTION

The rwho command produces output similar to who(1), but for all machines on the local network. If no report has been received from a machine for 11 minutes then rwho assumes the machine is down, and does not report the users last known to be logged into that machine.

If a user hasn't typed to the system for a minute or more, then rwho reports this idle time.

-a
  Include all users. By default, if a user hasn't typed to the system for an hour or more, then the user will be omitted from the output.
-H
  Write column headings above the regular output.
-q
  “Quick mode”: List only the names and the number of users currently logged on. When this option is used, all other options are ignored.

# FILES

/var/rwho/whod.*
  information about other machines

# SEE ALSO

finger(1), rup(1), ruptime(1), rusers(1), who(1), rwhod(8)

# HISTORY

The rwho command appeared in 4.3BSD.

# BUGS

This is unwieldy when the number of machines on the local net is large.

September 30, 2005 | NetBSD 6.0